Subject: bug#9960: Compiling Emacs trunk with MSVC

From: Eli Zaretskii <[email-masked]>
Date: Wed, 30 Nov 2011 21:17:49 +0200

> Date: Wed, 30 Nov 2011 11:22:05 -0700
> From: Tim Crews <[email-masked]>
> Cc: [email-masked]
> 
> > If you tried a 64-bit build, then it is not yet supported on Windows.
> > Try the 32-bit build, it should work.
> 
> I was doing a 32-bit build.  There are still a few minor changes from 
> Fabrice Popineau that haven't made it into bzr yet. 
> (http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9960#224)   With those 
> changes, the build succeeds.

Which changes, specifically, are needed?  I know only about one issue:
the one with _tzname.  The rest, to the best of my knowledge, are for
a 64-bit build.  If I'm wrong, I'd like to know which other changes
are still needed for the 32-bit build with MSVC.

> I built from the latest bzr source and can confirm that the linum-mode 
> crash no longer occurs on my end.

Thanks.